# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test2-AsyncSubtest
Version:	0.000018
Release:	2.%{__distinit}%{__distvers}
Summary:	Tools for writing asynchronous subtest
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test2-AsyncSubtest/
Source0:	http://www.cpan.org/authors/id/E/EX/EXODIST/Test2-AsyncSubtest-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Scope::Guard)
BuildRequires:	perl(Test2::API) >= 1.302032
BuildRequires:	perl(Test2::API::Context)
BuildRequires:	perl(Test2::Event)
BuildRequires:	perl(Test2::Event::Exception)
BuildRequires:	perl(Test2::Hub::Subtest)
BuildRequires:	perl(Test2::IPC)
BuildRequires:	perl(Test2::Util)
BuildRequires:	perl(Test2::Util::HashBase)
BuildRequires:	perl(Test2::Util::Trace)
BuildRequires:	perl(Time::HiRes)
# Test Suite
BuildRequires:	perl(Test2::Bundle::Extended) >= 0.000034
BuildRequires:	perl(Test2::Tools::Basic)
BuildRequires:	perl(Test2::Tools::Compare)
BuildRequires:	perl(Test2::Util::Table)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Test2::API) >= 1.302032
Requires:	perl(Test2::Event::Exception)

# Optional Functionality
%if 0%{?fedora} > 8 || 0%{?rhel} > 5
BuildRequires:	perl(threads) >= 1.34
Requires:	perl(threads) >= 1.34
%endif

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Test2::API\\)$

%description
These are tools for writing asynchronous subtests. Asynchronous subtests are
subtests which can be started and stashed so that they can continue to receive
events while other events are also being generated.

%prep
%setup -q -n Test2-AsyncSubtest-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/Test2/
%{_mandir}/man3/Test2::AsyncSubtest.3*
%{_mandir}/man3/Test2::AsyncSubtest::Event::Attach.3*
%{_mandir}/man3/Test2::AsyncSubtest::Event::Detach.3*
%{_mandir}/man3/Test2::AsyncSubtest::Hub.3*
%{_mandir}/man3/Test2::Tools::AsyncSubtest.3*

%changelog
* Thu Aug 11 2016 Paul Howarth <paul@city-fan.org> - 0.000018-2
- Import from Fedora

* Mon Jun 27 2016 Petr Pisar <ppisar@redhat.com> - 0.000018-1
- 0.000018 bump

* Wed Jun 01 2016 Petr Pisar <ppisar@redhat.com> - 0.000016-1
- Specfile autogenerated by cpanspec 1.78
